Name: 		perl-Class-Autouse
Version: 	1.29
Release: 	2%{?dist}
Summary: 	Run-time class loading on first method call
License: 	GPL+ or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Class-Autouse/
Source0: 	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Class-Autouse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: 	noarch

BuildRequires: 	perl(Test::More) >= 0.47
BuildRequires: 	perl(Carp)
BuildRequires: 	perl(File::Spec) >= 0.80
# FIXME: Class-Autouse actually wants perl(List::Util) >= 1.19
# perl is currently being shipped with perl(List::Util) == 1.18
# Should be safe to ignore
BuildRequires:	perl(List::Util) >= 1.18

# for improved tests
BuildRequires: 	perl(Test::Pod) >= 1.00
BuildRequires:	perl(prefork)
BuildRequires:  perl(Test::MinimumVersion) >= 0.007

%description
Class::Autouse allows you to specify a class the will only load when a
method of that class is called. For large classes that might not be used
during the running of a program, such as Date::Manip, this can save you
large amounts of memory, and decrease the script load time.

%prep
%setup -q -n Class-Autouse-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test AUTOMATED_TESTING=1

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/Class
%{_mandir}/man3/*

%changelog
* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 1.29-2
- Add BR: perl(Test-MinimumVersion).

* Tue Nov 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.29-1
- Upstream update.

* Wed Sep 05 2007 Ralf Corsépius <rc040203@freenet.de> - 1.28-1
- Upstream update.
- Update license.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.27-1
- Upstream update.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.26-2
- Mass rebuild.

* Thu Apr 20 2006 Ralf Corsépius <rc040203@freenet.de> - 1.26-1
- Upstream update.

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 1.21-3
- Rebuild for perl-5.8.8.

* Wed Feb 01 2006 Ralf Corsepius <rc040203@freenet.de> - 1.21-2
- Revert to 1.21 (List::Util in Perl is too old).

* Sat Jan 14 2006 Ralf Corsepius <rc040203@freenet.de> - 1.24-1
- Upstream update.

* Wed Sep 28 2005 Ralf Corsepius <rc040203@freenet.de> - 1.21-1
- Upstream update.
- Fix bogus dep on perl(Carp).

* Thu Sep 15 2005 Ralf Corsepius <rc040203@freenet.de> - 1.20-2
- Spec cleanup.

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.20-1
- Spec cleanup.
- FE submission.
